rules:
  # Bronze
  action-setup:
    status: exempt
    comment: Integration does not have actions
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow-test-coverage: done
  config-flow: done
  dependency-transparency: done
  docs-actions:
    status: done
    comment: Integration does register actions aside from entity actions
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup:
    status: exempt
    comment: Integration does not register events.
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure: done
  test-before-setup: done
  unique-config-entry: done

  # Silver
  action-exceptions:
    status: exempt
    comment: Integration does not have actions
  config-entry-unloading: done
  docs-configuration-parameters:
    status: exempt
    comment: Integration has no options flow
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: todo

  # Gold
  devices: done
  diagnostics: todo
  discovery-update-info: done
  discovery: done
  docs-data-update: done
  docs-examples: todo
  docs-known-limitations: done
  docs-supported-devices: done
  docs-supported-functions: done
  docs-troubleshooting: done
  docs-use-cases: done
  dynamic-devices:
    status: exempt
    comment: Single device per config entry
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default: done
  entity-translations: done
  exception-translations: done
  icon-translations: done
  reconfiguration-flow: todo
  repair-issues:
    status: exempt
    comment: Integration does not need user intervention
  stale-devices:
    status: exempt
    comment: Integration does not support dynamic devices

  # Platinum
  async-dependency: done
  inject-websession:
    status: exempt
    comment: Device doesn't make http requests.
  strict-typing: done
